aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Savchenko <bircoph@gmail.com>2014-10-25 03:01:10 +0400
committerAndrew Savchenko <bircoph@gmail.com>2014-10-25 03:01:10 +0400
commit223a1e5a4aed65761371dded2a7af37fa5d5e981 (patch)
tree1127748baa8c791032f3c0cb018af4cd5569d5ef /net-libs
parenttravis.yml: use newer portage version (diff)
downloadsci-223a1e5a4aed65761371dded2a7af37fa5d5e981.tar.gz
sci-223a1e5a4aed65761371dded2a7af37fa5d5e981.tar.bz2
sci-223a1e5a4aed65761371dded2a7af37fa5d5e981.zip
net-libs/xrootd: version bump and fix bug 521496
1. Version bump of xrootd to 4.0.4. 2. Remove -Werror from CXXFLAGS. While it doesn't cause problem in my case, it may cause them for other users with other CXXFLAGS.
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/xrootd/ChangeLog118
-rw-r--r--net-libs/xrootd/Manifest11
-rw-r--r--net-libs/xrootd/files/cmsd.confd9
-rw-r--r--net-libs/xrootd/files/cmsd.initd35
-rw-r--r--net-libs/xrootd/files/frm_purged.initd35
-rw-r--r--net-libs/xrootd/files/frm_xfrd.initd35
-rw-r--r--net-libs/xrootd/files/xrootd-no-werror.patch11
-rw-r--r--net-libs/xrootd/files/xrootd.confd21
-rw-r--r--net-libs/xrootd/files/xrootd.initd33
-rw-r--r--net-libs/xrootd/metadata.xml16
-rw-r--r--net-libs/xrootd/xrootd-4.0.4.ebuild82
11 files changed, 406 insertions, 0 deletions
diff --git a/net-libs/xrootd/ChangeLog b/net-libs/xrootd/ChangeLog
new file mode 100644
index 000000000..0c0326fcd
--- /dev/null
+++ b/net-libs/xrootd/ChangeLog
@@ -0,0 +1,118 @@
+# ChangeLog for net-libs/xrootd
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/xrootd/ChangeLog,v 1.19 2014/06/19 18:13:17 bicatali Exp $
+
+*xrootd-4.0.0 (19 Jun 2014)
+
+ 19 Jun 2014; Sébastien Fabbro <bicatali@gentoo.org> +xrootd-4.0.0.ebuild:
+ Version bump
+
+ 11 Mar 2014; Patrick Lauer <patrick@gentoo.org> xrootd-3.3.6.ebuild:
+ Whitespace
+
+*xrootd-3.3.6 (10 Mar 2014)
+
+ 10 Mar 2014; Sébastien Fabbro <bicatali@gentoo.org> +xrootd-3.3.6.ebuild:
+ Version bump
+
+ 20 Nov 2013; Patrick Lauer <patrick@gentoo.org> xrootd-3.3.4.ebuild:
+ Whitespace
+
+*xrootd-3.3.4 (19 Nov 2013)
+
+ 19 Nov 2013; Sébastien Fabbro <bicatali@gentoo.org> +xrootd-3.3.4.ebuild,
+ -xrootd-3.3.1.ebuild, metadata.xml:
+ Version bump
+
+*xrootd-3.3.2 (04 Jun 2013)
+
+ 04 Jun 2013; Sébastien Fabbro <bicatali@gentoo.org> +xrootd-3.3.2.ebuild,
+ -xrootd-3.2.7.ebuild, files/cmsd.initd, files/frm_purged.initd,
+ files/frm_xfrd.initd:
+ Version bump. Keyword amd64-linux and x86-linux. Fixed non-bashism in init
+ scripts
+
+*xrootd-3.3.1 (23 Mar 2013)
+
+ 23 Mar 2013; Sébastien Fabbro <bicatali@gentoo.org> +xrootd-3.3.1.ebuild,
+ -xrootd-3.2.6.ebuild:
+ Version bump
+
+*xrootd-3.2.7 (24 Jan 2013)
+
+ 24 Jan 2013; Sébastien Fabbro <bicatali@gentoo.org> +xrootd-3.2.7.ebuild:
+ Version bump
+
+ 05 Dec 2012; Sébastien Fabbro <bicatali@gentoo.org> xrootd-3.2.6.ebuild:
+ add user eclass
+
+*xrootd-3.2.6 (05 Dec 2012)
+
+ 05 Dec 2012; Sébastien Fabbro <bicatali@gentoo.org> +xrootd-3.2.6.ebuild,
+ -xrootd-3.2.2.ebuild, -xrootd-3.2.4.ebuild, files/cmsd.initd,
+ files/frm_purged.initd, files/frm_xfrd.initd, files/xrootd.initd,
+ metadata.xml, xrootd-3.2.1.ebuild:
+ Version bump. Transfering checks on /var/run and /var/spool at install time to
+ run-time (bug #445882)
+
+*xrootd-3.2.4 (29 Sep 2012)
+
+ 29 Sep 2012; Sébastien Fabbro <bicatali@gentoo.org> +xrootd-3.2.4.ebuild:
+ Version bump
+
+ 24 Jul 2012; Sébastien Fabbro <bicatali@gentoo.org>
+ +files/xrootd-3.2.2-glibc216.patch, xrootd-3.2.2.ebuild:
+ fixed for glibc-2.16, bug #426300
+
+*xrootd-3.2.2 (09 Jul 2012)
+
+ 09 Jul 2012; Sébastien Fabbro <bicatali@gentoo.org> +xrootd-3.2.2.ebuild:
+ Version bump
+
+ 09 Jul 2012; Justin Lecher <jlec@gentoo.org> -xrootd-3.1.0.ebuild,
+ -xrootd-3.1.1.ebuild, xrootd-3.2.1.ebuild, metadata.xml:
+ Cleaned old, add missing eclass
+
+ 08 Jul 2012; Jeff Horelick <jdhore@gentoo.org> xrootd-3.2.1.ebuild:
+ marked x86 per bug 425054
+
+ 06 Jul 2012; Agostino Sarubbo <ago@gentoo.org> xrootd-3.2.1.ebuild:
+ Stable for amd64, wrt bug #425054
+
+*xrootd-3.2.1 (22 May 2012)
+
+ 22 May 2012; Sébastien Fabbro <bicatali@gentoo.org> +xrootd-3.2.1.ebuild:
+ Version bump
+
+*xrootd-3.1.1 (06 Mar 2012)
+
+ 06 Mar 2012; Sébastien Fabbro <bicatali@gentoo.org> +xrootd-3.1.1.ebuild:
+ Version bump
+
+ 19 Dec 2011; Sébastien Fabbro <bicatali@gentoo.org> +xrootd-3.1.0.ebuild,
+ +files/cmsd.confd, +files/cmsd.initd, +files/frm_purged.initd,
+ +files/frm_xfrd.initd, +files/xrootd.confd, +files/xrootd.initd,
+ +metadata.xml:
+ Initial import to the main tree
+
+*xrootd-3.1.0 (03 Dec 2011)
+
+ 03 Dec 2011; Andrew Savchenko <bircoph@gmail.com> +xrootd-3.1.0.ebuild,
+ +files/cmsd.initd, +files/frm_purged.initd, +files/frm_xfrd.initd,
+ +files/xrootd.confd, +files/xrootd.initd, +metadata.xml:
+ XRootD isn't really a new program in this overlay. It was
+ previously bundled within sci-physics/root, but now it is unbundled
+ upstream and needs to be installed as a separate package in order
+ to be used from ROOT.
+
+ Aside from standard xrootd distribution, this ebuild may install
+ useful pdf documentation from the official web site.
+
+ Program was tested on ~x86 and ~amd64 with some basic setup, though
+ no real production tests were done. Please note, that xrootd and
+ accompany daemons do not work with root privileges any longer, so
+ special xrootd user was used.
+
+ Another note: all daemons MUST use the same config (-c
+ /etc/xrootd/your._config), that's why there is only one conf.d file
+ for all four daemons.
diff --git a/net-libs/xrootd/Manifest b/net-libs/xrootd/Manifest
new file mode 100644
index 000000000..c6ff158bb
--- /dev/null
+++ b/net-libs/xrootd/Manifest
@@ -0,0 +1,11 @@
+AUX cmsd.confd 193 SHA256 50e9c05d9090498853f8d34a7676228a1670a8c8512254151139ae6de876bee3 SHA512 f2e1b55eb27a59f32211eb5d839428fd4155c59898a38949bc4013be6b5f560fed795623e9401c4540382243314c257ca1007a089a57a5610b97e89f676f1408 WHIRLPOOL d377fc399aecc760d610ce34984647dca1364c051ff7dacd9cb8d7a23e4dadf7ca96c546d44cf294cbbee19c91464b2042907ff660e6158399baddff937b1093
+AUX cmsd.initd 993 SHA256 3aad47f4949da37d97ef08068435121b7e861a5b89fe13ad7633a065e2954ec8 SHA512 eaef2f79b0b999935ae68e2ecb391cb335550f32e0325661e84ef86c600d930874fff3893d3c0debc751dac843eaccda7d02a40c00d3e38b1087891dd61d36e7 WHIRLPOOL 32c8a21ca06bccd59c5cf7e9ace354e41c588e7df68d3ca82bef160cfc5ee876a401b4cdd4c0418b5e433cd6392ccb98fbf37341855f5527ec77c3a19daf3bde
+AUX frm_purged.initd 1009 SHA256 948236ba61ab7d3c932a2a8159bf2da4864c3ce4ee3900ec3f2ac596dff7c1cf SHA512 945080c25b30ab9d82cf60134631f6fcbb7cd19708115ee5efc988386f7a198888e5328bd053ab4541d8d14003a3e96894834e7284344dae22021723576a802a WHIRLPOOL 2f46a6b856c35df4e33c1cfc800f55676c72c57f616afa60bab01f672638d1691641f3eae23a23113f9d9ab16cad47ea7cc2c153d784c77eb48b4877f1c3685f
+AUX frm_xfrd.initd 1011 SHA256 04d3395ebfe826e22e4c48fb5c6861f07807ed85204f28020f8fe5a622c31e09 SHA512 abe8dda53a6750959fa250c0d2aba32564c99f2585910332f2d9c3daf8187bbcaca7e5673648e96f385ac2b8c8b871ce1546f8b34c5be65f522d5e3a2afc177d WHIRLPOOL 17e5922c3da70bbd0083d9c51ea08a50669c9ae122df737535d37196f7cf2e5a39abfd8f590dbc62fe688304f58986a924a53c7758f1d0c5cff463691f51053d
+AUX xrootd-no-werror.patch 559 SHA256 ce4eb50998227d239437c76c993a691c3b04cd88e86ee100e5d1e578b2d0a4ed SHA512 993b18aaf851fb7115073acfd2f653c0e8e2df77ca9c4f7daf17d62e57d1ff7a8d1e548466c1a3cb014a563761a02b27ded3e2fdddd6be97570a8086c7e7da58 WHIRLPOOL 8bf01d9bef5601153e5442b58825cf9722e7e7f755a1abf24f1a12f030ee3c2fffbb6819d8ea25fc674734c23dc3dfffb989925fc1de63887b41eebc5cf79dce
+AUX xrootd.confd 651 SHA256 c0bec135fc63da3000a520ebe1cffec7e507f4f31e9038f7ef4350f973548785 SHA512 60ab5b6d77cf79437960044bf201127c8adf5134e7f61a18dcccd2e474a4e41eda971e3ada71dea987716080fb308af98a5237bab2a0b82f50f932ff59e3fdea WHIRLPOOL ca35a9ce16b7d82839ca6ef1989b5b40177c93ff52379a2296e4bd99483422f2f49c57eb0b646673f84bc09f9b3b8f1298c906311367711f60170394c0dee6c6
+AUX xrootd.initd 968 SHA256 ba83e4bb99a7a236e3131019c5c3775e0c22bc180ef5791dc7d60cc0e0891efe SHA512 3b2d92f15907dbec4eea071018d8fb9ad5d091a59f49bacc80e2882f6b57d26485a34c5869979f842aac4ff08fa4a5206c09ecb921e859a83360058d5c42f361 WHIRLPOOL 84bbeea7013f512f383708f5b76814bbfa35fb785e8619f8d78ad34ec4a99a3caf293f00d23dccc30149356fa7fe62459f2a5201d756722cd0778cbf31fa7bfd
+DIST xrootd-4.0.4.tar.gz 1920380 SHA256 17091c1de35b06fccc0acbf2f2084d697e3cebea09dc4056338da5e11458b5f7 SHA512 6419c6d70d2e481963b74a9f23808ca889530079dc6e8bc6aa47ff888b6cc5613a1c6702dd3fb86f6e416255206f9db14f9d775896feae6ba70907c666615a79 WHIRLPOOL 0f3422ebf254750d2ca9e122b0eb4f00bd802d378f3d520006b3772cd511ec385a79dced9e111b46ce4296a1ca339fc71425b0a5877385084f0870707b45664b
+EBUILD xrootd-4.0.4.ebuild 1927 SHA256 608768ca1abda33c0143f45a97cebbb910976c5b64e6844640d0bf31dee22ffd SHA512 a40f18570f1f55b146a285d1b70775447ef7b662833b6a1f9557a1fc8044e29ce231dc2ce0481dc883a30892b9c96da8394fe9c17301a66beac2203891f8b9f0 WHIRLPOOL 9e90cb014689d89ccf2a22704463d8cbdd452198b274f36e0810249f0ca28a66646f9c15251ddf3d9366abf974ed17e2d70432d03fc9d25ad5c5a5de06ded20f
+MISC ChangeLog 4044 SHA256 a14476f27e2bf31549ab297b1882dbd4616ab00d121bcb527a371b92ce00027e SHA512 adb356be9167bd50f5e79af2711cb4c2860820c28c4de0ddf6dec74765b4a6b4ad59edaec3f28cae0dcfbe1314120b1e1d41cd33a4841a34ade43f9571c5d217 WHIRLPOOL 9f904690858fa1f1dc743a46011e851ec7568cc5f51b0b9a68cbdfaea23fb10a1e418f064cacb5edf02370eb64232ec99a41aa70cc5fe3bf1833b68ed9c6fc25
+MISC metadata.xml 671 SHA256 4b7fe955de34a52ccb81772aeb326674c3c8f371abd550676cbed5bb7f27e76f SHA512 1b7f5c9ea11cfc6e8a5d91b6d28450b783b685bce95d07cb2e023a14af42ec4e2affc8ff1e80b5a973d574499d63c1390fda599ff69b0838b29c3951810bf940 WHIRLPOOL ff405df291dba6dfe4b83d51b23730e1ab39d433c57aae1937467fbe47b07870262e07f4d49b65fc0e989a3748346ae65ae0ca31c2a546b98a346a547af71fe7
diff --git a/net-libs/xrootd/files/cmsd.confd b/net-libs/xrootd/files/cmsd.confd
new file mode 100644
index 000000000..ab5aa8c61
--- /dev/null
+++ b/net-libs/xrootd/files/cmsd.confd
@@ -0,0 +1,9 @@
+# conf.d file for cmsd daemon
+
+# User to run as (default is root)
+CMSD_USER="root"
+
+#
+# Please refer to the cmsd(1) man(1) page for more
+# information on command line parameters.
+CMSD_OPTS=""
diff --git a/net-libs/xrootd/files/cmsd.initd b/net-libs/xrootd/files/cmsd.initd
new file mode 100644
index 000000000..b04ca579c
--- /dev/null
+++ b/net-libs/xrootd/files/cmsd.initd
@@ -0,0 +1,35 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/xrootd/files/cmsd.initd,v 1.3 2013/06/04 15:51:34 bicatali Exp $
+
+. /etc/conf.d/xrootd
+
+depend() {
+ need net
+ use logger dns
+ provide root-file-server
+}
+
+start_pre() {
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/spool
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/xrootd
+}
+
+start() {
+ ebegin "Starting Cluster Management Service daemon"
+ start-stop-daemon --start --quiet --user ${XROOTD_USER} \
+ --make-pidfile --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME} --background -- \
+ -c ${XROOTD_CONF} -l ${XROOTD_LOGDIR}/${RC_SVCNAME}.log \
+ ${CMSD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Cluster Management Service daemon"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME}
+ eend $?
+}
diff --git a/net-libs/xrootd/files/frm_purged.initd b/net-libs/xrootd/files/frm_purged.initd
new file mode 100644
index 000000000..1e95d5c8c
--- /dev/null
+++ b/net-libs/xrootd/files/frm_purged.initd
@@ -0,0 +1,35 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/xrootd/files/frm_purged.initd,v 1.3 2013/06/04 15:51:34 bicatali Exp $
+
+. /etc/conf.d/xrootd
+
+depend() {
+ need net
+ use logger dns
+ provide root-file-server
+}
+
+start_pre() {
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/spool
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/xrootd
+}
+
+start() {
+ ebegin "Starting File Residency Manager purge daemon"
+ start-stop-daemon --start --quiet --user ${XROOTD_USER} \
+ --make-pidfile --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME} --background -- \
+ -c ${XROOTD_CONF} -l ${XROOTD_LOGDIR}/${RC_SVCNAME}.log \
+ ${FRM_PURGED_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping File Residency Manager purge daemon"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME}
+ eend $?
+}
diff --git a/net-libs/xrootd/files/frm_xfrd.initd b/net-libs/xrootd/files/frm_xfrd.initd
new file mode 100644
index 000000000..0b28f873a
--- /dev/null
+++ b/net-libs/xrootd/files/frm_xfrd.initd
@@ -0,0 +1,35 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/xrootd/files/frm_xfrd.initd,v 1.3 2013/06/04 15:51:34 bicatali Exp $
+
+. /etc/conf.d/xrootd
+
+depend() {
+ need net
+ use logger dns
+ provide root-file-server
+}
+
+start_pre() {
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/spool
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/xrootd
+}
+
+start() {
+ ebegin "Starting File Residency Manager transfer daemon"
+ start-stop-daemon --start --quiet --user ${XROOTD_USER} \
+ --make-pidfile --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME} --background -- \
+ -c ${XROOTD_CONF} -l ${XROOTD_LOGDIR}/${RC_SVCNAME}.log \
+ ${FRM_XFRD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping File Residency Manager transfer daemon"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME}
+ eend $?
+}
diff --git a/net-libs/xrootd/files/xrootd-no-werror.patch b/net-libs/xrootd/files/xrootd-no-werror.patch
new file mode 100644
index 000000000..d9f3b1c52
--- /dev/null
+++ b/net-libs/xrootd/files/xrootd-no-werror.patch
@@ -0,0 +1,11 @@
+--- cmake/XRootDOSDefs.cmake.orig 2014-06-04 20:31:15.000000000 +0400
++++ cmake/XRootDOSDefs.cmake 2014-08-21 12:12:55.397368485 +0400
+@@ -15,7 +15,7 @@
+ # GCC
+ #-------------------------------------------------------------------------------
+ if( CMAKE_COMPILER_IS_GNUCXX )
+- set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Werror" )
++ set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra" )
+ set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-parameter" )
+ # gcc 4.1 is retarded
+ execute_process( COMMAND ${CMAKE_C_COMPILER} -dumpversion
diff --git a/net-libs/xrootd/files/xrootd.confd b/net-libs/xrootd/files/xrootd.confd
new file mode 100644
index 000000000..0e847e53e
--- /dev/null
+++ b/net-libs/xrootd/files/xrootd.confd
@@ -0,0 +1,21 @@
+# conf.d file for xroot, cmsd, frm_purged, frm_xfrd daemons
+
+# User to run as, please note that:
+# 1) daemons will refuse to run as root;
+# 2) several dirs must be created with an appropriate permissions
+# and ownership, so be careful when changing default 'xrootd' user.
+XROOTD_USER="xrootd"
+
+# Configuration file MUST be the same for all four daemons.
+# See /etc/xrootd for available simple defaults.
+XROOTD_CONF="/etc/xrootd/xrootd-clustered.cfg"
+
+# Logdir for all daemons
+XROOTD_LOGDIR="/var/log/xrootd"
+
+# Additional options for each daemon, please refer to their
+# documentation for details
+XROOTD_OPTS=""
+CMSD_OPTS=""
+FRM_PURGED=""
+FRM_XFRD=""
diff --git a/net-libs/xrootd/files/xrootd.initd b/net-libs/xrootd/files/xrootd.initd
new file mode 100644
index 000000000..1685ccc5c
--- /dev/null
+++ b/net-libs/xrootd/files/xrootd.initd
@@ -0,0 +1,33 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/xrootd/files/xrootd.initd,v 1.2 2012/12/05 18:19:15 bicatali Exp $
+
+depend() {
+ need net
+ use logger dns
+ provide root-file-server
+}
+
+start_pre() {
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/spool
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/xrootd
+}
+
+start() {
+ ebegin "Starting extended ROOTD file server"
+ start-stop-daemon --start --quiet --user ${XROOTD_USER} \
+ --make-pidfile --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME} --background -- \
+ -c ${XROOTD_CONF} -l ${XROOTD_LOGDIR}/${RC_SVCNAME}.log \
+ ${XROOTD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping extended ROOTD file server"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME}
+ eend $?
+}
diff --git a/net-libs/xrootd/metadata.xml b/net-libs/xrootd/metadata.xml
new file mode 100644
index 000000000..604e38963
--- /dev/null
+++ b/net-libs/xrootd/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci-physics</herd>
+<longdescription lang="en">
+ XROOTD software framework is a fully generic suite for fast, low latency
+ and scalable data access, which can serve natively any kind of data,
+ organized as a hierarchical filesystem-like namespace, based on the
+ concept of directory.
+ It is usually used with <pkg>sci-physics/root</pkg> and its PROOF
+ facilities for cluster computing in high energy physics.
+</longdescription>
+<use>
+ <flag name="fuse">Enable the <pkg>sys-fs/fuse</pkg> filesystem driver</flag>
+</use>
+</pkgmetadata>
diff --git a/net-libs/xrootd/xrootd-4.0.4.ebuild b/net-libs/xrootd/xrootd-4.0.4.ebuild
new file mode 100644
index 000000000..ef02d4502
--- /dev/null
+++ b/net-libs/xrootd/xrootd-4.0.4.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/xrootd/xrootd-4.0.0.ebuild,v 1.1 2014/06/19 18:13:17 bicatali Exp $
+
+EAPI=5
+
+inherit cmake-utils eutils user multilib
+
+DURI="http://xrootd.slac.stanford.edu/doc/prod"
+
+DESCRIPTION="Extended ROOT remote file server"
+HOMEPAGE="http://xrootd.org/"
+SRC_URI="${HOMEPAGE}/download/v${PV}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc fuse kerberos perl readline ssl test"
+
+RDEPEND="
+ !<sci-physics/root-5.32[xrootd]
+ sys-libs/zlib:0=
+ fuse? ( sys-fs/fuse:0= )
+ kerberos? ( virtual/krb5 )
+ perl? (
+ dev-lang/perl
+ readline? ( dev-perl/Term-ReadLine-Perl )
+ )
+ readline? ( sys-libs/readline:0= )
+ ssl? ( dev-libs/openssl:0= )"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen[dot] )
+ perl? ( dev-lang/swig )
+ test? ( dev-util/cppunit )"
+
+pkg_setup() {
+ enewgroup xrootd
+ enewuser xrootd -1 -1 "${EPREFIX}"/var/spool/xrootd xrootd
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/${PN}-no-werror.patch"
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_enable fuse)
+ $(cmake-utils_use_enable kerberos KRB5)
+ $(cmake-utils_use_enable perl)
+ $(cmake-utils_use_enable readline)
+ $(cmake-utils_use_enable ssl CRYPTO)
+ $(cmake-utils_use_enable test TESTS)
+ )
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+ use doc && doxygen Doxyfile
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ # base configs
+ insinto /etc/xrootd
+ doins packaging/common/*.cfg
+
+ fowners root:xrootd /etc/xrootd
+ keepdir /var/log/xrootd
+ fowners xrootd:xrootd /var/log/xrootd
+
+ local i
+ for i in cmsd frm_purged frm_xfrd xrootd; do
+ newinitd "${FILESDIR}"/${i}.initd ${i}
+ done
+ # all daemons MUST use single master config file
+ newconfd "${FILESDIR}"/xrootd.confd xrootd
+
+ dodoc docs/ReleaseNotes.txt
+ use doc && dohtml -r doxydoc/html/*
+}